Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::SplitDocumentInfo Class Reference
Inheritance diagram for foxit::pdf::SplitDocumentInfo:

## Public Member Functions
| SplitDocumentInfo (const wchar_t *file_path, const wchar_t *password)
| Constructor, with parameters. More...
| SplitDocumentInfo (common::file::ReaderCallback *file_reader, const wchar_t *password, const wchar_t *file_name)
| Constructor, with parameters. More...
| SplitDocumentInfo (const PDFDoc &doc, const wchar_t *file_name)
| Constructor, with parameters. More...
| SplitDocumentInfo (const SplitDocumentInfo &other)
| Constructor, with another information object. More...
| ~SplitDocumentInfo ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const SplitDocumentInfo &other) const
| Not equal operator. More...
SplitDocumentInfo & | operator= (const SplitDocumentInfo &other)
| Assign operator. More...
bool | operator== (const SplitDocumentInfo &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents information of source PDF document which is to be split.

## Constructor & Destructor Documentation

## ◆ SplitDocumentInfo() [1/4]

foxit::pdf::SplitDocumentInfo::SplitDocumentInfo | ( | const wchar_t * | file_path,
|  | const wchar_t * | password
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function SplitPDFDoc::StartSplitByFileSize.

Parameters

  [in] | file_path | File path of a PDF file, which is to be split.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ SplitDocumentInfo() [2/4]

foxit::pdf::SplitDocumentInfo::SplitDocumentInfo | ( | common::file::ReaderCallback * | file_reader,
|  | const wchar_t * | password,
|  | const wchar_t * | file_name
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function SplitPDFDoc::StartSplitByFileSize.

Parameters

  [in] | file_reader | A common::file::ReaderCallback object which is implemented by user to be split.It should not be NULL.
  [in] | password | Owner password of PDF file which is specified by parameter file_reader.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [3/4]

foxit::pdf::SplitDocumentInfo::SplitDocumentInfo | ( | const PDFDoc & | doc,
|  | const wchar_t * | file_name
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function SplitPDFDoc::StartSplitByFileSize.

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be split. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [4/4]

foxit::pdf::SplitDocumentInfo::SplitDocumentInfo | ( | const SplitDocumentInfo & | other | ) |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::pdf::SplitDocumentInfo::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::SplitDocumentInfo::operator!= | ( | const SplitDocumentInfo & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

SplitDocumentInfo& foxit::pdf::SplitDocumentInfo::operator= | ( | const SplitDocumentInfo & | other | ) |

Assign operator.

Parameters

  [in] | other | Another information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::SplitDocumentInfo::operator== | ( | const SplitDocumentInfo & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.